Bug 625678 - Review Request: ghostscript-chinese - Ghostscript Chinese fonts configuration files
Summary: Review Request: ghostscript-chinese - Ghostscript Chinese fonts configuration...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-20 06:14 UTC by Peng Wu
Modified: 2010-09-01 05:53 UTC (History)
3 users (show)

Fixed In Version: ghostscript-chinese-0.3.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 05:53:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2010-08-20 06:14:54 UTC
Spec URL: http://pwu.fedorapeople.org/ghostscript-chinese/ghostscript-chinese.spec
SRPM URL: http://pwu.fedorapeople.org/ghostscript-chinese/ghostscript-chinese-0.3.1-1.fc13.src.rpm
Description: 
ghostscript font configuration files for Chinese fonts.

Comment 1 Parag AN(पराग) 2010-08-25 08:57:00 UTC
Review:
+ Koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=2425290 is successful.
+ rpmlint is output for SRPM and for RPM.
ghostscript-chinese.noarch: W: self-obsoletion cjkuni-fonts-ghostscript obsoletes cjkuni-fonts-ghostscript = 0.2.20080216.1
ghostscript-chinese.src:24: W: unversioned-explicit-obsoletes cjkuni-fonts-ghostscript
ghostscript-chinese.src: W: no-cleaning-of-buildroot %install
ghostscript-chinese.src: W: no-cleaning-of-buildroot %clean
ghostscript-chinese.src: W: no-buildroot-tag
ghostscript-chinese.src: W: no-%clean-section
ghostscript-chinese-zh_CN.noarch: W: no-documentation
ghostscript-chinese-zh_TW.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 8 warnings.


+ source files match upstream url (sha1sum)
a1192e567ab75e614e1292109cdae74470356b8d  ghostscript-chinese-0.3.1.tar.gz
a1192e567ab75e614e1292109cdae74470356b8d  ghostscript-chinese-0.3.1.tar.gz.srpm
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ Macro use appears rather consistent.
+ no translations are available
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

Suggestions:
1) Please see https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Subpackage_Licensing. According to it, subpackages should require main package as it installs COPYING.

you can drop main package installing subpackages if not needed.

2) I think ghostscript is already above 8.63-4 version in Fedora so you can drop versioned requires for ghostscript and just have 
Requires: ghostscript

3) rpmlint showed self-obsoletion. See http://fedoraproject.org/wiki/PackageNamingGuidelines#Renaming.2Freplacing_existing_packages
This can be fixed by using

Provides:     cjkuni-fonts-ghostscript = %{version}
Obsoletes:    cjkuni-fonts-ghostscript < 0.2.20080216.1


APPROVED.

Comment 2 Peng Wu 2010-08-26 02:14:48 UTC
New Package SCM Request
=======================
Package Name: ghostscript-chinese
Short Description: Ghostscript Chinese fonts configuration files
Owners: pwu
Branches: F-13 F-14
InitialCC: petersen i18n-team

Comment 3 Kevin Fenzi 2010-08-29 19:00:48 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2010-08-31 05:01:07 UTC
ghostscript-chinese-0.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghostscript-chinese-0.3.1-1.fc14

Comment 5 Fedora Update System 2010-08-31 20:19:48 UTC
ghostscript-chinese-0.3.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript-chinese'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghostscript-chinese-0.3.1-1.fc14

Comment 6 Fedora Update System 2010-09-01 05:53:48 UTC
ghostscript-chinese-0.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.